## ev-page-cache ev-page-cache |

## Functions

EvPageCache * | ev_page_cache_new ()
void | ev_page_cache_set_page_range ()
EvJobPageDataFlags | ev_page_cache_get_flags ()
void | ev_page_cache_set_flags ()
EvMappingList * | ev_page_cache_get_link_mapping ()
EvMappingList * | ev_page_cache_get_image_mapping ()
EvMappingList * | ev_page_cache_get_form_field_mapping ()
EvMappingList * | ev_page_cache_get_annot_mapping ()
cairo_region_t * | ev_page_cache_get_text_mapping ()
const gchar * | ev_page_cache_get_text ()
gboolean | ev_page_cache_get_text_layout ()
PangoAttrList * | ev_page_cache_get_text_attrs ()
gboolean | ev_page_cache_get_text_log_attrs ()
void | ev_page_cache_mark_dirty ()

## Signals

void | page-cached | Run Last

## Types and Values

| EvPageCache
| EvPageCacheClass

## Object Hierarchy

        GObject
        ╰── EvPageCache

## Description

## Functions

### ev_page_cache_new ()

    EvPageCache *
    ev_page_cache_new (EvDocument *document);

### ev_page_cache_set_page_range ()

    void
    ev_page_cache_set_page_range (EvPageCache *cache,
                                  gint start,
                                  gint end);

### ev_page_cache_get_flags ()

    EvJobPageDataFlags
    ev_page_cache_get_flags (EvPageCache *cache);

### ev_page_cache_set_flags ()

    void
    ev_page_cache_set_flags (EvPageCache *cache,
                             EvJobPageDataFlags flags);

### ev_page_cache_get_link_mapping ()

    EvMappingList *
    ev_page_cache_get_link_mapping (EvPageCache *cache,
                                    gint page);

### ev_page_cache_get_image_mapping ()

    EvMappingList *
    ev_page_cache_get_image_mapping (EvPageCache *cache,
                                     gint page);

### ev_page_cache_get_form_field_mapping ()

    EvMappingList *
    ev_page_cache_get_form_field_mapping (EvPageCache *cache,
                                          gint page);

### ev_page_cache_get_annot_mapping ()

    EvMappingList *
    ev_page_cache_get_annot_mapping (EvPageCache *cache,
                                     gint page);

### ev_page_cache_get_text_mapping ()

    cairo_region_t *
    ev_page_cache_get_text_mapping (EvPageCache *cache,
                                    gint page);

### ev_page_cache_get_text ()

    const gchar *
    ev_page_cache_get_text (EvPageCache *cache,
                            gint page);

### ev_page_cache_get_text_layout ()

    gboolean
    ev_page_cache_get_text_layout (EvPageCache *cache,
                                   gint page,
                                   EvRectangle **areas,
                                   guint *n_areas);

### ev_page_cache_get_text_attrs ()

    PangoAttrList *
    ev_page_cache_get_text_attrs (EvPageCache *cache,
                                  gint page);

FIXME

#### Parameters

cache | a EvPageCache |

Since: 3.10

### ev_page_cache_get_text_log_attrs ()

    gboolean
    ev_page_cache_get_text_log_attrs (EvPageCache *cache,
                                      gint page,
                                      PangoLogAttr **log_attrs,
                                      gulong *n_attrs);

FIXME

#### Parameters

cache | a EvPageCache |
log_attrs | . | [out][transfer full][array length=n_attrs]
n_attrs | . | [out]

#### Returns

`TRUE` on success with `log_attrs` filled in, `FALSE` otherwise

Since: 3.10

### ev_page_cache_mark_dirty ()

    void
    ev_page_cache_mark_dirty (EvPageCache *cache,
                              gint page,
                              EvJobPageDataFlags flags);

## Types and Values

### EvPageCache

    typedef struct _EvPageCache EvPageCache;

### EvPageCacheClass

    typedef struct _EvPageCacheClass EvPageCacheClass;

## Signal Details

### The `“page-cached”` signal

    void
    user_function (EvPageCache *evpagecache,
                   gint         arg1,
                   gpointer     user_data)

Flags: Run Last